%define upstream_name       Module-ScanDeps
%define upstream_version 1.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Recursively scan Perl code for dependencies
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This is a module to recursively scan Perl programs for dependencies.

An application of Module::ScanDeps is to generate executables from scripts
that contains necessary modules; this module supports two such projects, PAR
and App::Packer.  Please see their respective documentations on CPAN for
further information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build 

%check
%__make test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.310.0-2.mga9
+ Revision: 1814412
- Mageia 9 Mass Rebuild

* Fri Apr 23 2021 tv <tv> 1.310.0-1.mga9
+ Revision: 1717993
- update to 1.31

* Thu Feb 25 2021 tv <tv> 1.300.0-1.mga9
+ Revision: 1690332
- update to 1.30

* Tue Aug 18 2020 tv <tv> 1.290.0-1.mga8
+ Revision: 1614691
- update to 1.29

* Mon Aug 10 2020 tv <tv> 1.280.0-1.mga8
+ Revision: 1612548
- update to 1.28

* Fri Feb 14 2020 umeabot <umeabot> 1.270.0-2.mga8
+ Revision: 1522048
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jan 16 2019 tv <tv> 1.270.0-1.mga7
+ Revision: 1357366
- update to 1.27

* Thu Dec 13 2018 tv <tv> 1.260.0-1.mga7
+ Revision: 1340959
- update to 1.26

* Thu Sep 20 2018 umeabot <umeabot> 1.250.0-2.mga7
+ Revision: 1284880
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 1.250.0-1.mga7
+ Revision: 1253167
- update to 1.25

* Tue Oct 03 2017 tv <tv> 1.240.0-2.mga7
+ Revision: 1165566
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.240.0-1.mga7
+ Revision: 1154326
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.210.0-2.mga6
+ Revision: 1030300
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.210.0-1.mga6
+ Revision: 1002144
- update to 1.21

* Sat Feb 20 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 971326
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 891415
- update to 1.20

* Fri Jun 26 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 844451
- update to 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-3.mga5
+ Revision: 740571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-2.mga5
+ Revision: 685475
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 sander85 <sander85> 1.150.0-1.mga5
+ Revision: 667050
- update to 1.15

* Tue Aug 05 2014 sander85 <sander85> 1.140.0-1.mga5
+ Revision: 659769
- update to 1.14

* Sat Feb 08 2014 sander85 <sander85> 1.130.0-1.mga5
+ Revision: 586547
- update to 1.13

* Mon Oct 21 2013 umeabot <umeabot> 1.110.0-2.mga4
+ Revision: 538007
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 1.110.0-1.mga4
+ Revision: 488270
- update to 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 369979
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 315167
- update to 1.10

* Mon Sep 17 2012 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 295200
- update to 1.09

* Thu Feb 23 2012 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 213068
- update to 1.08

* Fri Dec 02 2011 kharec <kharec> 1.70.0-1.mga2
+ Revision: 175240
- update to 1.07

* Tue Nov 08 2011 jquelin <jquelin> 1.50.0-1.mga2
+ Revision: 165540
- update to 1.05
- update to 1.04

* Thu Apr 07 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 81805
- update to 1.02

* Mon Mar 28 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 78379
- update to 1.01

* Tue Feb 22 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 56659
- update to 1.00

* Wed Jan 19 2011 jquelin <jquelin> 0.980.0-1.mga1
+ Revision: 24258
- fix specs
- imported package perl-Module-ScanDeps

